Package uk.ac.starlink.topcat

## Class UploadAdqlExample

- java.lang.Object
- - uk.ac.starlink.vo.AbstractAdqlExample
  - - uk.ac.starlink.topcat.UploadAdqlExample

- All Implemented Interfaces:
    `uk.ac.starlink.vo.AdqlExample`

      public abstract class UploadAdqlExample
      extends uk.ac.starlink.vo.AbstractAdqlExample

  Provides some ADQL examples showing how TOPCAT TAP uploads work.
  Since:
    9 May 2011
  Author:
    Mark Taylor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.vo.AbstractAdqlExample

      `uk.ac.starlink.vo.AbstractAdqlExample.Breaker, uk.ac.starlink.vo.AbstractAdqlExample.TableWithCols`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UploadAdqlExample​(java.lang.String name, java.lang.String description, javax.swing.JList tcList)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static uk.ac.starlink.vo.AdqlExample[]` | `createSomeExamples​(javax.swing.JList tcList)` | Creates and returns a selection of examples for display in the TAP load dialgue which illustrate how to use table uploads from TOPCAT.

    - ### Methods inherited from class uk.ac.starlink.vo.AbstractAdqlExample

      `createBreaker, createDummyExample, createSimpleExample, createSomeExamples, createTapSchemaExamples, getDescription, getInfoUrl, getName, getRaDecTables, toTables`

    - ### Methods inherited from interface uk.ac.starlink.vo.AdqlExample

      `getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadAdqlExample

          public UploadAdqlExample​(java.lang.String name,
                                   java.lang.String description,
                                   javax.swing.JList tcList)

      Constructor.
      Parameters:
        `name` - example name
        `description` - example description
        `tcList` - JList of known TopcatModels

  - ### Method Detail

    - #### createSomeExamples

          public static uk.ac.starlink.vo.AdqlExample[] createSomeExamples​(javax.swing.JList tcList)

      Creates and returns a selection of examples for display in the TAP load dialgue which illustrate how to use table uploads from TOPCAT.
      Parameters:
        `tcList` - JList of known TopcatModels

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.